/**
 * 版权所有 ©2021 
 * 工程名：yearBooks
 * 文件名：NcjjZczController.java
 * 创建日期：2021年10月21日 上午9:18:24
 * 作者：duanxiaomingzi
 */
package com.lion.controller;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.lion.entity.LoginUserInfo;
import com.lion.entity.XmyDncl;
import com.lion.service.XmyDnclService;
import com.lion.util.TimeUtil;
import com.lion.util.TokenUtil;

import jodd.util.StringUtil;

/**
 * 类描述 当年出栏
 * @author duanxiaomingzi
 * @since 2021年10月21日
 */
@RestController
@RequestMapping("xmydncl")
public class XmyDnclController {
	@Resource
	private XmyDnclService service;
	/**
	 * 方法描述 新增或修改某条数据
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param z
	 * @param req
	 * @return	
	 */
	@RequestMapping("addOrUpdate.service")
	public Map<String,Object> add(XmyDncl z,HttpServletRequest req){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		if(StringUtil.isNotEmpty(z.getId())){
			z.setUpdateTime(TimeUtil.getNowTime());
			z.setUpdateUser(user.getUserId());
		}else{
			z.setCreateUser(user.getUserId());
			z.setCreateTime(TimeUtil.getNowTime());
		}
		z.setOrgid(user.getOrgid());
		return service.addOrUpdate(z);
	}
	/**
	 * 方法描述 删除某条数据
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param id
	 * @param req
	 * @return	
	 */
	@RequestMapping("delete.service")
	public Map<String,Object> delete(int id,HttpServletRequest req){
		return service.delete(id);
	}
	/**
	 * 方法描述 查询数据列表
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param year 年度
	 * @param orgid 部门id
	 * @param req
	 * @return	
	 */
	@RequestMapping("getList.service")
	public Map<String,Object> getList(String year,String orgid,HttpServletRequest req,int page,int rows){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		if(StringUtil.isEmpty(orgid)){
			orgid=user.getOrgid();
		}
		return service.getList(year, orgid,page,rows);
	}
	/**
	 * 方法描述 导出
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param req
	 * @return	
	 */
	@RequestMapping("exportData.service")
	public Map<String,Object> exportData(HttpServletRequest req,String year,String orgid){
		LoginUserInfo user=TokenUtil.getUserInfo(req);
		if(StringUtil.isEmpty(orgid)){
			orgid=user.getOrgid();
		}
		return service.exportData(year, orgid, req);
	}
	/**
	 * 方法描述 导入数据
	 * @author duanxiaomingzi
	 * @since 2021年10月21日
	 * @param req
	 * @param file
	 * @return	
	 */
	@RequestMapping("importData.service")
	public Map<String,Object> importData(HttpServletRequest req,@RequestParam("fileElement") MultipartFile file){
		LoginUserInfo user = TokenUtil.getUserInfo(req);
		return service.importData(file, user);
	}
}
